# Class CitationDelta

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a citation delta.

    public class CitationDelta : ContentDelta

Inheritance
  object
  ContentDelta
  CitationDelta

Inherited Members
  ContentDelta.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### CitationDelta(Citation)

Initializes a new instance of the CitationDelta class.

    public CitationDelta(Citation citation)

#### Parameters

`citation` Citation

  The citation to associate with this delta.

#### Exceptions

ArgumentNullException

  Thrown when `citation` is null.

## Properties

### Citation

Gets the citation associated with this delta.

    public Citation Citation { get; init; }

#### Property Value

Citation